/*************************************************************************/
/* fortran_and_c.h                                                       */
/*                                                                       */
/* Author:                                                               */
/*   Arve Kylling                                                        */
/*   NILU,                                                               */
/*   9005 Tromso,                                                        */
/*   Norway                                                              */
/*                                                                       */
/* ----------------------------------------------------------------------*/
/* Copyright (C) 1998 Arve Kylling                                       */
/*                                                                       */
/* This program is free software; you can redistribute it and/or modify  */
/* it under the terms of the GNU General Public License as published by  */
/* the Free Software Foundation; either version 1, or (at your option)   */
/* any later version.                                                    */
/*                                                                       */
/* This program is distributed in the hope that it will be useful,       */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of        */
/* MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the          */
/* GNU General Public License for more details.                          */
/*                                                                       */
/* To obtain a copy of the GNU General Public License write to the       */
/* Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,    */
/* USA.                                                                  */
/*-----------------------------------------------------------------------*/
/*************************************************************************/

#ifndef __fortran_and_c_h
#define __fortran_and_c_h

#if defined (__cplusplus)
extern "C" {
#endif

#include <stdlib.h>
#include "ascii.h"

/* prototypes */

float* c2fortran_2D_float_ary(int dim1, int dim2, float** ary_2D );
float** fortran2c_2D_float_ary(int dim1, int dim2, float* ary_1D );
float*** fortran2c_3D_float_ary(int dim1, int dim2, int dim3, float* ary_1D );
float**** fortran2c_4D_float_ary(int dim1, int dim2, int dim3, int dim4, float* ary_1D );

void fortran2c_2D_float_ary_noalloc (int dim1, int dim2,           float *ary_1D, float **ary_2D);
void fortran2c_3D_float_ary_noalloc (int dim1, int dim2, int dim3, float *ary_1D, float ***ary_3D);
void fortran2c_2D_double_ary_noalloc (int dim1, int dim2, double* ary_1D, double** ary_2D);
void fortran2c_4D_double_ary_noalloc (int dim1, int dim2, int dim3, int dim4, double* ary_1D,
				      double ****ary_4D);


double** fortran2c_2D_double_ary(int dim1, int dim2, double* ary_1D );
double**** fortran2c_4D_double_ary(int dim1, int dim2, int dim3, int dim4, double* ary_1D );

#if defined (__cplusplus)
}
#endif

#endif
