/************************************************************************/
/*                                                                      */
/* Copyright (C) 1997 Arve Kylling                                      */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 1, or (at your option)  */
/* any later version.                                                   */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the         */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* To obtain a copy of the GNU General Public License write to the      */
/* Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,   */
/* USA.                                                                 */
/*                                                                      */
/************************************************************************/

#ifndef __mie_h
#define __mie_h

#include "../src_c/miecalc.h"


/* INPUT STRUCTURE */

typedef struct {
  int medium;
  complex crefin;    /* User-defined refractive index */
  double r_mean;
  char *sd_filename;
  char *ri_filename;
  int  program;
  mie_inp_struct   mie;
  mie_wl_inp_struct    wl;
} input_struct;



/* OUTPUT STRUCTURE */

typedef struct {
  int         phi;
} print_struct;


typedef struct {
  mie_out_struct   mie;
  mie_wl_out_struct    wl;
  print_struct    print;
} output_struct;


#endif
